/* Mesh parameters */
extern int nmesh; 
extern int nxmesh,nymesh,nzmesh; 
extern int nspace0;

/* Cosmology parameters */
extern float boxsize_hinv_mpc;
extern float npow0; 
extern float omega; 
extern float omegabaryon;
extern float lambda; 
extern float hubble_parameter; 
extern float bias_8mpc; 
extern float rsmooth; 
extern float rtophat_mesh;
extern int powreadflag;
extern char powfilename[190];

/* Time parameters */
extern float z_init; 
extern float delta_a;
extern float a;
extern float amax;
extern int nstep; 
extern int stepnum; 
extern int nskip;

/* Treecode parameters */
extern float theta;
extern int L, L2; 
extern float SPHERE_RADIUS, particle_radius;

/* Energy Parameters */
extern float ken;
extern float ktot;
extern float const0;
extern float poten0;
extern float rth;

/* Random number generator seed */
extern int seed;

/* RV file name information */
extern char rvfilename[80], rvprefix[80];

/* runtime parameters */
extern float maxtime;

/* Camera filename */
extern char camerafilename[80];
