/* These are common variables used by all of the PM functions */
/* They are mirrored by pm_extern.h */

/* Particle and work arrays */
int np;
pmparticletype *pmparticles;
treeparticletype *treeparticles;
float *work;
float *den;
int worksize;
int densize;

/*   used for correlation functions */
float *pk,*npk,*cor,*corw,*tpk,*tnpk,*tcor,*tcorw;

/*   Table for periodic boundary conditions */
int *xabp0,*xabp1,*xabm1,*yabp0,*yabp1,*yabm1,*zabp0,*zabp1,*zabm1;
int *rcounts,*displs;

/* Processor identity and number */
int myrank, nrank;
