/* These are common variables used by all of the PM functions */
/* They are mirrored by pm_extern.h */

/* Particle and work arrays */
extern int np;
extern pmparticletype *pmparticles;
extern treeparticletype *treeparticles;
extern float *work;
extern float *den;
extern int worksize;
extern int densize;

/*   used for correlation functions */
extern float *pk,*npk,*cor,*corw,*tpk,*tnpk,*tcor,*tcorw;

/*   Table for periodic boundary conditions */
extern int *xabp0,*xabp1,*xabm1,*yabp0,*yabp1,*yabm1,*zabp0,*zabp1,*zabm1;
extern int *rcounts,*displs;

/* Processor identity and number */
extern int myrank, nrank;
