#include<stdio.h>
#include<stdlib.h>
#include<math.h>
#include "survey.h"
typedef struct{
	float x,y,z,vx,vy,vz;
	int indx;
} phase;

int main(int argc, char **argv){
	int i,j,k;
	FILE *fp,*wp;
	int nbox,np;
	float *mpx,*mpy,*mpz;
	char filename[100];
	float amax,a,boxsie,x0,y0,z0;
	float xp,yp,zp;
	float boxsize,dist2;
	int flag,nx,ny,nz;
	float rmin2,rmax2,theta1,theta2,phi1,phi2,theta,phi;
	phase *particles;

	wp = fopen("surveycheck.dat","w");
	for(i=200;i<=500;i++){
		sprintf(filename,"survey%.5d.dat",i);
		fp = fopen(filename,"r");
		fread(&amax,sizeof(float),1,fp);
		fread(&a,sizeof(float),1,fp);
		fread(&boxsize,sizeof(float),1,fp);
		fread(&nbox,sizeof(int),1,fp);
		mpx = (float *) malloc(sizeof(float)*nbox);
		mpy = (float *) malloc(sizeof(float)*nbox);
		mpz = (float *) malloc(sizeof(float)*nbox);
		fread(mpx,sizeof(float),nbox,fp);
		fread(mpy,sizeof(float),nbox,fp);
		fread(mpz,sizeof(float),nbox,fp);
		fread(&nx,sizeof(int),1,fp);
		fread(&ny,sizeof(int),1,fp);
		fread(&nz,sizeof(int),1,fp);
		fread(&x0,sizeof(float),1,fp);
		fread(&y0,sizeof(float),1,fp);
		fread(&z0,sizeof(float),1,fp);
		fread(&rmin2,sizeof(float),1,fp);
		fread(&rmax2,sizeof(float),1,fp);
		fread(&theta1,sizeof(float),1,fp);
		fread(&theta2,sizeof(float),1,fp);
		fread(&phi1,sizeof(float),1,fp);
		fread(&phi2,sizeof(float),1,fp);
		particles = (phase *) malloc(sizeof(phase)*100000);
		np = 0;
		while((flag = fread(particles,sizeof(phase),100000,fp))!=0){
			for(j=0;j<flag;j++){
				for(k=0;k<nbox;k++){
					xp = particles[j].x+mpx[k];
					yp = particles[j].y+mpy[k];
					zp = particles[j].z+mpz[k];
					dist2 = xp*xp+yp*yp+zp*zp;
					if(dist2 >= rmin2 && dist2 < rmax2) {
						theta = acos(zp/sqrt(dist2));
						if(theta >= theta1 && theta < theta2 ){
							phi = acos(xp/sqrt(xp*xp+yp*yp));
							if(yp <0.) phi = 2.*pi-phi;
							if(phi >=phi1 && phi < phi2){
								if(np%1 == 0) 
									fprintf(wp,"%g %g %g\n",xp,yp,zp);
								np++;
							}
						}
					}
				}
			}
			if(flag != 1000000) break;
		}
		fprintf(stdout,"finished reading %s file\n",filename);
		free(mpx);free(mpy);free(mpz);free(particles);
		fclose(fp);
	}
	fclose(wp);
}
