#include<stdio.h>
#include<stdlib.h>
#include<string.h>
#include<math.h>
typedef struct {
	float x,y,z,vx,vy,vz;
} particles;
int main(int argc, char **argv){
	int i,j,k;
	particles *p,*cp;
	int np;
	char filename[100];

	FILE *fp;
	fp = fopen(argv[1],"rb");
	fread(&np,sizeof(int),1,fp);
	p = (particles *)malloc(sizeof(particles)*np);
	cp = (particles *)malloc(sizeof(particles)*np);
	fread(p,sizeof(particles),np,fp);
	fclose(fp);
	sprintf(filename,"../pm9/%s",argv[1]);
	fp = fopen(filename,"rb");
	fread(&np,sizeof(int),1,fp);
	fread(cp,sizeof(particles),np,fp);
	fclose(fp);
	for(i=0;i<np;i++){
		float r,r2,diff;
		float vr,vr2,vdiff;
		r = sqrt(p[i].x*p[i].x+p[i].y*p[i].y+p[i].z*p[i].z);
		r2 = sqrt(cp[i].x*cp[i].x+cp[i].y*cp[i].y+cp[i].z*cp[i].z);
		diff = (r-r2);
		vr = sqrt(p[i].vx*p[i].vx+p[i].vy*p[i].vy+p[i].vz*p[i].vz);
		vr2 = sqrt(cp[i].vx*cp[i].vx+cp[i].vy*cp[i].vy+cp[i].vz*cp[i].vz);
		vdiff = (vr-vr2)/vr;
		if(fabs(diff) > 5.E-3 || fabs(vdiff) > 5.E-3) 
			fprintf(stdout,"%g %g %g %g\n",r,diff,vr,vdiff);
		/*
		fprintf(stdout,"%g %g %g %g %g %g\n",p[i].x,p[i].y,p[i].z,
				p[i].vx,p[i].vy,p[i].vz);
				*/
	}
	return 0;
}
