/* Mesh parameters */
int nmesh; 
int nxmesh,nymesh,nzmesh; 
int nspace0;

/* Cosmology parameters */
float boxsize_hinv_mpc;
float npow0; 
float omega; 
float omegabaryon; 
float lambda; 
float hubble_parameter; 
float bias_8mpc; 
float rsmooth; 
float rtophat_mesh;
int powreadflag;
char powfilename[190];

/* Time parameters */
float z_init; 
float delta_a;
float a;
float amax;
/*
int nstep; 
*/
int stepnum; 
int nskip;

/* Treecode parameters */
float theta;
int L, L2; 
float SPHERE_RADIUS, particle_radius;

/* Energy Parameters */
float ken;
float ktot;
float const0;
float poten0;
float rth;

/* Random number generator seed */
int seed;

/* RV file name information */
char rvfilename[80], rvprefix[80];

/* runtime parameter */
float maxtime;

/* Camera filename */
char camerafilename[80];
