c234567
      subroutine pmseedforce(np,particles,nn,nxpos,den,
     &        omep,omeplam,ken,fx,fy,fz,denpad)
      IMPLICIT none
      include 'mpif.h'
      include "fftw_f77.i"
#include "fortran.i"
      integer np,mbias,nxpos
      parameter(mbias=4)
      integer nx,ny,nz,local_nz,local_z_start
      integer mlocalstartz,mlocalnz
      integer myid,nid,dest,src,stag,rtag
      integer status(MPI_STATUS_SIZE),root
c     integer*4 iplan
c     integer*8 iplan
      real den(2*(nx/2+1),ny,local_nz+7),denpad(2,ny,nz)
c---
      real fx(2*(nx/2+1),ny,local_nz+7)
      real fy(2*(nx/2+1),ny,local_nz+7)
      real fz(2*(nx/2+1),ny,local_nz+7)
c---
      real displ,mdispl
      real start_z

c     real x(*),y(*),z(*)
c     real vx(*),vy(*),vz(*)
c     integer indx(*)
      integer nn
      real particles(nn,np)
      integer*8 lnp, tlnp

      external powint,pow2int,bpowint,bpow2int
      real ken
      double precision tmpken,tken
      real ktot,cpu(2),stime,etime
      integer xabp0(-10:NNX+10),xabp1(-10:NNX+10),xabm1(-10:NNX+10)
      integer yabp0(-10:NNY+10),yabp1(-10:NNY+10),yabm1(-10:NNY+10)
      integer zabp0(-10:LOCAL_NNZ+7+10),zabp1(-10:LOCAL_NNZ+7+10)
      integer zabm1(-10:LOCAL_NNZ+7+10)
      common /ptables/ xabp0,xabp1,xabm1,yabp0,yabp1,yabm1,zabp0,
     &       zabp1,zabm1
c     integer ttabp0(-10:1024+10)
      character*3 dark
      integer iseed,nspace,iiseed
      real size
      real smooth,h,rth,bias,zi
      integer knyq,ngz,nnp,nznp,ngx,ngy,ng
      real npow
      real xyz,omei,powh,pi,omehs,rknyq,rknyq2,rkinv,xyy
      real twopi,rngz,rngzc,ran3,xxx,rngx,rngy,rngc
      real pmas,pmass,ai,anow,wavemax,pamp,pamp2,vamp
      real xnow, xini,bnow,bini
      real vfact,vfact2,pfact,amax,astep,omep,omeplam
      real efold,sfac
      double precision delx,tdelx
      real const,poten,growth
      integer iindex

      external gasdev
      integer ngh,nghx,nghy,nghz,i,j,k,ky,kz
      real rk,velpot,gasdev,xksq,power,bpower
      integer sendsize,recvsize,ierror
      integer displs(NPROCS),rcounts(NPROCS)
  
      integer ii,jj,kk,iim1,jjm1,kkm1,iim2,jjm2,kkm2
      integer iip1,jjp1,kkp1,iip2,jjp2,kkp2

      real xp,yp,zp,xmin,ymin,zmin,xd1,yd1,zd1
      real wx1,wy1,wz1,wx2,wy2,wz2,wx3,wy3,wz3
      real wt1,wt2,wt3,wt4,wt5,wt6,wt7,wt8,wt9,wt10
      real wt11,wt12,wt13,wt14,wt15,wt16,wt17,wt18,wt19,wt20
      real wt21,wt22,wt23,wt24,wt25,wt26,wt27
      integer i1,i2,i3,j1,j2,j3,k1,k2,k3
      integer xsign,ysign,zsign
      integer nearx,neary,nearz
      integer nz_per


      real work,rincube
      common/powsp/rknyq,rkinv,powh,smooth,omehs,dark
      common/tophat/rth
      integer ntmp
      real rdz,rdzstd,rdzmean,rdzmin,rdzmax
C      common/seed2/ai,ken,size,iseed,amax,astep
      real com_omep,com_omepb,com_omeplam,com_h,com_size,omepb
      common/cospar/com_omep,com_omepb,com_omeplam,com_h,com_size

      integer local_ny_after_transpose,
     &     local_y_start_after_transpose,total_local_size
      common /pmcommon/plan,iplan,nx,ny,nz,local_nz,local_z_start,
     &    local_ny_after_transpose,local_y_start_after_transpose,
     &    total_local_size

      call MPI_Comm_rank(MPI_COMM_WORLD,myid,ierror)
      call MPI_Comm_size(MPI_COMM_WORLD,nid,ierror)
ccc
c     if(myid.eq.0) then
c     write(6,*)' ng,ngz is not available on parallel computation'
c     write(6,*)' nspace,size,amax,astep ?'
c     read(7,*)   nspace,size,amax,astep
c     write(6,*)' npow,e-folding smooth,h,rth,bias,seed ?'
c     read(7,*)   npow,smooth,h,rth,bias,iseed
c     write(6,*)' Dark matter (cdm,hdm,non) ?'
c     read(7,22)  dark
c     endif
c  22 format(a3)
      if(myid .eq. 0) stime = etime(CPU)
c     call MPI_BCAST(nspace,1,MPI_INTEGER,0,MPI_COMM_WORLD,ierror)
c     call MPI_BCAST(size,1,MPI_REAL,0,MPI_COMM_WORLD,ierror)
c     call MPI_BCAST(amax,1,MPI_REAL,0,MPI_COMM_WORLD,ierror)
c     call MPI_BCAST(astep,1,MPI_REAL,0,MPI_COMM_WORLD,ierror)
c     call MPI_BCAST(npow,1,MPI_INTEGER,0,MPI_COMM_WORLD,ierror)
c     call MPI_BCAST(smooth,1,MPI_REAL,0,MPI_COMM_WORLD,ierror)
c     call MPI_BCAST(h,1,MPI_REAL,0,MPI_COMM_WORLD,ierror)
c     call MPI_BCAST(rth,1,MPI_REAL,0,MPI_COMM_WORLD,ierror)
c     call MPI_BCAST(bias,1,MPI_REAL,0,MPI_COMM_WORLD,ierror)
c     call MPI_BCAST(iseed,1,MPI_INTEGER,0,MPI_COMM_WORLD,ierror)
c     call MPI_BCAST(dark,3,MPI_CHARACTER,0,MPI_COMM_WORLD,ierror)

C This is a hook into the C functions
      call getpowerparams(nspace,size,amax,astep,
     &                        npow,smooth,h,rth,bias,iseed,omepb)
      dark = 'cdm'
c     write(0,*) nx, nspace, size, amax, astep, npow, smooth
c     write(0,*) h, rth, bias, iseed
c     write(0,*) omep, omeplam
      com_omep=omep
      com_omepb = omepb
      com_omeplam=omeplam
      com_h = h
      com_size = size






c     size = 128
c     omep = 0.4
c     npow = 1
c     smooth = 0
c     h = 0.5
c     rth = 8
c     bias = 1.
c     zi = 23
c     astep = 0.2
c     iseed = -5
c     dark = 'cdm'
ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
     
      rincube = 1./real(nx)/real(ny)/real(nz)
      iiseed = iseed*(myid+1)
      xxx = ran3(iiseed)
      ngx = nx
      ngy = ny
      ngz = nz
      ng = ngx
      nghx = ngx/2
      nghy = ngy/2
      nghz = ngz/2
      ngh = nghx
      rngx = real(ngx)
      rngy = real(ngy)
      ngz = nz
      rngc = real(ngx)*real(ngy)*real(ngz)
      rngz = real(ngz)
      rngzc = rngx*rngy*rngz
      xyz  = rngx/rngz
      xyy  = rngx/real(rngy)
      pi = 3.141592654
      twopi = 2.*pi
c     nspace = 1
      nnp  = ngx/nspace
      nznp = ngz/nspace
#ifndef INITIALREADING
      np = nx*ny*local_nz/nspace**3
#endif
      knyq = ngx/2
      rknyq2 = real(knyq)**2
      rknyq = twopi*real(knyq)
      rkinv = 1./rknyq
      powh = 0.5*real(npow)
      ai = 1.
      zi = amax-1
      anow = ai*(1.+zi)
c     omei = omep*(1.+zi)/(1.+omep*zi)
      omei = omep*(1+zi)**3
     &     /(omep*(1+zi)**3+omeplam+(1-omep-omeplam)*(1+zi)**2)
      omehs = 1./(omep*h*size)
      smooth = (smooth/sqrt(2.))/rngx/sqrt(2.)
      rth = rth/rngx
c---  Total mass is ngz/ng so that the mean density = 1
      pmas  = real(nspace)**3
      pmass = pmas/rngc

      wavemax = 1000
c     if(size.lt.33)wavemax = 300
      call qsimp(bpowint,0.0001,wavemax,pamp)
c     call qsimp(powint,0.00001,wavemax,pamp)
c     call qsimp(pow2int,0.00001,wavemax,pamp2)
      if(myid .EQ. 0) print *,' <1>, <k^2>=',pamp,pamp2
c---  Here pamp = initial ms of top-hat smoothed density fluctuation
c---  pamp = 50.06, 800.95, 12815 for 64, 128, 256 h^-1 Mpc
c---  Now pamp*sqrt(P(k)) give rms fluctuation equal to thamp initially.
c---  After the expansion factor grows by the factor anow, the linear
c---  amplitude of fluctuation  will be (1/bias) over the scale rth.
c---  I. Einstein-de Sitter model
      if(omep.eq.1.)then
        pamp = (1./bias)/sqrt(pamp)*ai/anow
        vamp = 1
c---  II. Open model
      else if(omep.lt.1.and.omeplam.eq.0)then
        xnow = (1.-omep)/omep
        xini = xnow/(1.+zi)
        bini = 1.+3./xini+3.*sqrt(1.+xini)/xini**1.5*alog(sqrt(1.+xini)
     &         -sqrt(xini))
        bnow = 1.+3./xnow+3.*sqrt(1.+xnow)/xnow**1.5*alog(sqrt(1.+xnow)
     &         -sqrt(xnow))
        pamp = (1./bias)/sqrt(pamp)*bini/bnow
        vamp = omei**0.6
      else if(omep.lt.1.and.omeplam.gt.0)then
c---  III. Zero curvature with cosmological constant model
        bini = growth(1.,  amax,omep)
        bnow = growth(amax,amax,omep)
        pamp = (1./bias)/sqrt(pamp)*bini/bnow
        vamp = (growth(1.+0.005,amax,omep)-growth(1.-0.005,amax,omep))
     &        /(0.01)*1./bini
        if(myid.eq.0) then
           print *,omep,' bini=',bini,' bnow=',bnow,vamp
        endif
      end if

c---  Periodic table for particles
c     do 1 i=-10,0
c   1 ttabp0(i)=nnp+i
c     do 2 i=1,nnp
c   2 ttabp0(i)=i
c     do 3 i=nnp+1,nnp+10
c   3 ttabp0(i)=i-nnp

c---  Periodic table for mesh
ccc   local_nz+7 is the local periodic condition in the current processor
      ngz = local_nz+7
      do 4 i=-10,0
      xabp0(i)=ngx+i
      xabp1(i)=ngx+i+1
      yabp0(i)=ngy+i
      yabp1(i)=ngy+i+1
      zabp0(i)=ngz+i
    4 zabp1(i)=ngz+i+1
      xabp1(0)=1
      yabp1(0)=1
      zabp1(0)=1

      do 5 i=1,ngx
      xabp0(i)=i
    5 xabp1(i)=i+1
      xabp1(ngx)=1
      do 51 i=1,ngy
      yabp0(i)=i
   51 yabp1(i)=i+1
      yabp1(ngy)=1

      do 6 i=1,ngz
      zabp0(i) = i
    6 zabp1(i) = i+1
      zabp1(ngz)=1
      do 7 i=ngx+1,ngx+10
      xabp0(i)=i-ngx
    7 xabp1(i)=i+1-ngx
      do 71 i=ngy+1,ngy+10
      yabp0(i)=i-ngy
   71 yabp1(i)=i+1-ngy

      do 8 i=ngz+1,ngz+10
      zabp0(i)=i-ngz
    8 zabp1(i)=i+1-ngz
ccc   recover the original value of ngz
      ngz = nz

      efold = 0.585*sqrt(2.)
      sfac   = -(pi*efold/size)**2
c***  Velocity Potential
c     pamp = pamp*rngzc*xyz*sqrt(0.5)/rng**3
      pamp = pamp*rngzc*sqrt(xyz*xyy)*sqrt(0.5)
c     pamp = pamp*rngzc*sqrt(0.5)
      do i=0,nghx
      do j=1,ngy
      ky=xyy*(j-1)
      if(ky.gt.nghx)ky=ky-ngx
      do k=1,local_nz
         kz=xyz*((k-1)+local_z_start)
         if(kz.gt.nghx)kz=kz-ngx
            xksq = i**2+ky**2+kz**2
            if(xksq.eq.0..or.xksq.gt.rknyq2)then
              den(2*i+1,j,k)=0.
              den(2*i+2,j,k)=0.
            else
              rk = twopi*sqrt(xksq)
              velpot = pamp*bpower(rk)/rk**2 
              den(2*i+1,j,k) = velpot*gasdev(iiseed)
              den(2*i+2,j,k) = velpot*gasdev(iiseed)
            end if
         enddo
      enddo
      enddo
      if(myid .EQ. 0) print *,'last #=',ran3(iiseed)
      if(myid .EQ. 0) print *,'rngzc, rincube',rngzc, rincube
cccc
c     open(1,file='seed.mpi.vpot'//char(48+myid))
c     do k = 1, 8
c     do j = 1, 32
c     do i = 1, 32+2
c        write(1,*),i,j,k,den(i,j,k)
c        read(1,*),ii,jj,kk,den(i,j,k)
c     enddo
c     enddo
c     enddo
c     close(1)
c***  Make an array, den(*,*,local_nz+1:local_nz+2) which is needed to
ccc   follow the complex conjugate relation for a real array.
ccc   mpi_gatherv is gathering values with displacement of local_nz.
ccc   0 is the root node number.
#ifdef WRONG
      do ii = 1, 2
      do k = 1, local_nz
      do j = 1, ny
         den(j,k+local_nz*myid,local_nz+ii) = den(ii,j,k)
      enddo
      enddo
      enddo
ccc   Gathering all the den(*,*,local_nz+1:local_nz+2) to 
ccc     den(*,*,local_nz+1:local_nz+2) of 0'th processor.
ccc   rcounts is the size of sending buffer and also displs is displacement of
ccc   receive buffer saved to 0'th node.
      root = 0
      sendsize = local_nz*2*(nx/2+1)
      do i = 1, nid
         rcounts(i) = sendsize
         displs(i) = (i-1)*sendsize
      enddo
      do i = 1, 2
         call MPI_GATHERV(den(1,1+local_nz*myid,local_nz+i),sendsize,
     &          MPI_REAL,den(1,1,local_nz+i),rcounts,displs,MPI_REAL,
     &          0,MPI_COMM_WORLD,ierror)
      enddo
c---  Satisfy complex conjugation relation for a real array
ccc   Only on rank 0 processor.
      if(myid.EQ.0) then
         do k=2,nghz
            den(1,ngz+2-k,local_nz+1) = den(1,k,local_nz+1)
            den(1,ngz+2-k,local_nz+2) =-den(1,k,local_nz+2)
            do j=2,nghy
               den(ngy+2-j,ngz+2-k,local_nz+1) = den(j,k,local_nz+1)
               den(ngy+2-j,ngz+2-k,local_nz+2) =-den(j,k,local_nz+2)
            enddo
         enddo

         do j=2,nghy
            den(ngy+2-j,1,local_nz+1) = den(j,1,local_nz+1)
            den(ngy+2-j,1,local_nz+2) =-den(j,1,local_nz+2)
         enddo

         do k=2,nghz
         do j=nghy+2,ngy
            den(ngy+2-j,ngz+2-k,local_nz+1) = den(j,k,local_nz+1)
            den(ngy+2-j,ngz+2-k,local_nz+2) =-den(j,k,local_nz+2)
         enddo
         enddo
      endif
c***  Back to original configurations(ordering)
ccc   Scatter the computed array to each processor
      do i = 1, 2
         call MPI_SCATTERV(den(1,1,local_nz+i),rcounts,displs,
     &          MPI_REAL,den(1,1+local_nz*myid,local_nz+i),
     &          sendsize,MPI_REAL,0,MPI_COMM_WORLD,ierror)
      enddo
ccc   Transforms back to the original array.
      do ii = 1, 2
      do k = 1, local_nz
      do j = 1, ny
         den(ii,j,k) = den(j,k+local_nz*myid,local_nz+ii)
      enddo
      enddo
      enddo
#else
      do k = 1, local_nz
      do j = 1, ny
      do i = 1, 2
          denpad(i,j,local_z_start+k) = den(i,j,k)
      enddo
      enddo
      enddo
      if(myid .eq. 0) then
         do i = 1, nid-1
           print *, 'get data from ',i
           call MPI_RECV(mlocalstartz,1,MPI_INTEGER,i,0,MPI_COMM_WORLD,
     &              status,ierror)
           call MPI_RECV(mlocalnz,1,MPI_INTEGER,i,0,MPI_COMM_WORLD,
     &              status,ierror)
           call MPI_RECV(denpad(1,1,mlocalstartz+1),2*ny*mlocalnz,
     &              MPI_REAL,i,0,MPI_COMM_WORLD,status,ierror)
           print *, 'got data from ',i
         enddo
      else
         print *, myid,'sending data to 0'
         call MPI_SEND(local_z_start,1,MPI_INTEGER,0,0,MPI_COMM_WORLD,
     &              ierror)
         call MPI_SEND(local_nz,1,MPI_INTEGER,0,0,MPI_COMM_WORLD,
     &              ierror)
         call MPI_SEND(denpad(1,1,local_z_start+1),2*ny*local_nz,
     &              MPI_REAL,0,0,MPI_COMM_WORLD,ierror)
         print *, myid,'sent data to 0'
      endif
      print *, 'now after denpad commun'
c---  Satisfy complex conjugation relation for a real array
      if(myid .eq. 0) then
         do 12 k = 2, nghz
            denpad(1,1,ngz+2-k) = denpad(1,1,k)
            denpad(2,1,ngz+2-k) =-denpad(2,1,k)
            do 12 j=2,nghy
            denpad(1,ngy+2-j,ngz+2-k) = denpad(1,j,k)
12          denpad(2,ngy+2-j,ngz+2-k) =-denpad(2,j,k)

         do 13 j=2,nghy
            denpad(1,ngy+2-j,1) = denpad(1,j,1)
13          denpad(2,ngy+2-j,1) =-denpad(2,j,1)

         do 14 k=2,nghz
         do 14 j=nghy+2,ngy
            denpad(1,ngy+2-j,ngz+2-k) = denpad(1,j,k)
14          denpad(2,ngy+2-j,ngz+2-k) =-denpad(2,j,k)
      endif
      print *, myid,'now before denpad broad'
      sendsize = 2*ny*nz
      call MPI_BCAST(denpad,sendsize,MPI_REAL,0,MPI_COMM_WORLD,ierror)
      do k = 1, local_nz
      do j = 1, ny
      do i = 1, 2
          den(i,j,k) = denpad(i,j,local_z_start+k)
      enddo
      enddo
      enddo
      print *, 'now after denpad setting'
#endif

c----- using force array 
      do i=0,nghx
      do j=1,ngy
      ky=xyy*(j-1)
      if(ky.gt.ngh)ky=ky-ng
      do k=1,local_nz
         kz=xyz*((k-1)+local_z_start)
         if(kz.gt.ngh)kz=kz-ng
         fx(2*i+1,j,k) = -twopi*i*den(2*i+2,j,k)
         fx(2*i+2,j,k) =  twopi*i*den(2*i+1,j,k)
         fy(2*i+1,j,k) = -twopi*ky*den(2*i+2,j,k)
         fy(2*i+2,j,k) =  twopi*ky*den(2*i+1,j,k)
         fz(2*i+1,j,k) = -twopi*kz*den(2*i+2,j,k)
         fz(2*i+2,j,k) =  twopi*kz*den(2*i+1,j,k)
      enddo
      enddo
      enddo
      if(myid .eq. 0) print *,'getting force array in x-dim '
      call rfftwnd_f77_mpi(iplan,1,fx,work,USE_WORK,
     &      FFTW_NORMAL_ORDER)
      if(myid .eq. 0) print *,'getting force array in y-dim '
      call rfftwnd_f77_mpi(iplan,1,fy,work,USE_WORK,
     &      FFTW_NORMAL_ORDER)
      if(myid .eq. 0) print *,'getting force array in z-dim '
      call rfftwnd_f77_mpi(iplan,1,fz,work,USE_WORK,
     &      FFTW_NORMAL_ORDER)
      do k = 1, local_nz
        do j = 1, ny
         do i = 1, nx
             fx(i,j,k) = fx(i,j,k)*rincube
             fy(i,j,k) = fy(i,j,k)*rincube
             fz(i,j,k) = fz(i,j,k)*rincube
         enddo
        enddo
      enddo

      vfact = vamp
#ifdef INITIALREADING
      print *, 'Now in the random initial positions',myid, np

      sendsize = 2*(nx/2+1)*ny*2
      recvsize = 2*(nx/2+1)*ny*2
      dest = mod(myid+1+nid,nid)
      src = mod(myid-1+nid,nid)
      stag = 0
      rtag = 0
      call MPI_SENDRECV(fx(1,1,local_nz-1),sendsize,MPI_REAL,
     &    dest,stag,fx(1,1,local_nz+6),recvsize,MPI_REAL,src,
     &    rtag,MPI_COMM_WORLD,status,ierror)
      call MPI_SENDRECV(fy(1,1,local_nz-1),sendsize,MPI_REAL,
     &    dest,stag,fy(1,1,local_nz+6),recvsize,MPI_REAL,src,
     &    rtag,MPI_COMM_WORLD,status,ierror)
      call MPI_SENDRECV(fz(1,1,local_nz-1),sendsize,MPI_REAL,
     &    dest,stag,fz(1,1,local_nz+6),recvsize,MPI_REAL,src,
     &    rtag,MPI_COMM_WORLD,status,ierror)

      dest = mod(myid-1+nid,nid)
      src = mod(myid+1+nid,nid)
      call MPI_SENDRECV(fx(1,1,1),sendsize,MPI_REAL,
     &    dest,stag,fx(1,1,local_nz+1),recvsize,MPI_REAL,src,
     &    rtag,MPI_COMM_WORLD,status,ierror)
      call MPI_SENDRECV(fy(1,1,1),sendsize,MPI_REAL,
     &    dest,stag,fy(1,1,local_nz+1),recvsize,MPI_REAL,src,
     &    rtag,MPI_COMM_WORLD,status,ierror)
      call MPI_SENDRECV(fz(1,1,1),sendsize,MPI_REAL,
     &    dest,stag,fz(1,1,local_nz+1),recvsize,MPI_REAL,src,
     &    rtag,MPI_COMM_WORLD,status,ierror)

      nz_per = local_nz+7
      start_z = local_z_start
      do i = 1, np
      xp = particles(nxpos+1,i)
      yp = particles(nxpos+2,i)
      zp = particles(nxpos+3,i)-start_z
      nearx = nint(xp)
      neary = nint(yp)
      nearz = nint(zp)
      xmin = xp-nearx
      ymin = yp-neary
      zmin = zp-nearz
      xsign= sign(1.,xmin)
      ysign= sign(1.,ymin)
      zsign= sign(1.,zmin)
      i1  = mod(nearx+ngx,ngx)+1
      j1  = mod(neary+ngy,ngy)+1
      k1  = mod(nearz+nz_per,nz_per)+1
      i2  = mod(nearx+ngx+xsign,ngx)+1
      j2  = mod(neary+ngy+ysign,ngy)+1
      k2  = mod(nearz+nz_per+zsign,nz_per)+1
      i3  = mod(nearx+ngx-xsign,ngx)+1
      j3  = mod(neary+ngy-ysign,ngy)+1
      k3  = mod(nearz+nz_per-zsign,nz_per)+1

      xd1 = abs(xmin)
      yd1 = abs(ymin)
      zd1 = abs(zmin)
      wx1 = 0.75-xd1**2
      wy1 = 0.75-yd1**2
      wz1 = 0.75-zd1**2
      wx2 = 0.5*(0.5+xd1)**2
      wy2 = 0.5*(0.5+yd1)**2
      wz2 = 0.5*(0.5+zd1)**2
      wx3 = 0.5*(0.5-xd1)**2
      wy3 = 0.5*(0.5-yd1)**2
      wz3 = 0.5*(0.5-zd1)**2
      wt1  = wx1*wy1*wz1
      wt2  = wx2*wy1*wz1
      wt3  = wx3*wy1*wz1
      wt4  = wx1*wy2*wz1
      wt5  = wx2*wy2*wz1
      wt6  = wx3*wy2*wz1
      wt7  = wx1*wy3*wz1
      wt8  = wx2*wy3*wz1
      wt9  = wx3*wy3*wz1
      wt10 = wx1*wy1*wz2
      wt11 = wx2*wy1*wz2
      wt12 = wx3*wy1*wz2
      wt13 = wx1*wy2*wz2
      wt14 = wx2*wy2*wz2
      wt15 = wx3*wy2*wz2
      wt16 = wx1*wy3*wz2
      wt17 = wx2*wy3*wz2
      wt18 = wx3*wy3*wz2
      wt19 = wx1*wy1*wz3
      wt20 = wx2*wy1*wz3
      wt21 = wx3*wy1*wz3
      wt22 = wx1*wy2*wz3
      wt23 = wx2*wy2*wz3
      wt24 = wx3*wy2*wz3
      wt25 = wx1*wy3*wz3
      wt26 = wx2*wy3*wz3
      wt27 = wx3*wy3*wz3
      particles(nxpos+4,i)=
     &      (wt1 *fx(i1,j1,k1)+wt2 *fx(i2,j1,k1)+wt3 *fx(i3,j1,k1)+
     &       wt4 *fx(i1,j2,k1)+wt5 *fx(i2,j2,k1)+wt6 *fx(i3,j2,k1)+
     &       wt7 *fx(i1,j3,k1)+wt8 *fx(i2,j3,k1)+wt9 *fx(i3,j3,k1)+
     &       wt10*fx(i1,j1,k2)+wt11*fx(i2,j1,k2)+wt12*fx(i3,j1,k2)+
     &       wt13*fx(i1,j2,k2)+wt14*fx(i2,j2,k2)+wt15*fx(i3,j2,k2)+
     &       wt16*fx(i1,j3,k2)+wt17*fx(i2,j3,k2)+wt18*fx(i3,j3,k2)+
     &       wt19*fx(i1,j1,k3)+wt20*fx(i2,j1,k3)+wt21*fx(i3,j1,k3)+
     &       wt22*fx(i1,j2,k3)+wt23*fx(i2,j2,k3)+wt24*fx(i3,j2,k3)+
     &       wt25*fx(i1,j3,k3)+wt26*fx(i2,j3,k3)+wt27*fx(i3,j3,k3))
     &       *vfact
      particles(nxpos+5,i)=
     &      (wt1 *fy(i1,j1,k1)+wt2 *fy(i2,j1,k1)+wt3 *fy(i3,j1,k1)+
     &       wt4 *fy(i1,j2,k1)+wt5 *fy(i2,j2,k1)+wt6 *fy(i3,j2,k1)+
     &       wt7 *fy(i1,j3,k1)+wt8 *fy(i2,j3,k1)+wt9 *fy(i3,j3,k1)+
     &       wt10*fy(i1,j1,k2)+wt11*fy(i2,j1,k2)+wt12*fy(i3,j1,k2)+
     &       wt13*fy(i1,j2,k2)+wt14*fy(i2,j2,k2)+wt15*fy(i3,j2,k2)+
     &       wt16*fy(i1,j3,k2)+wt17*fy(i2,j3,k2)+wt18*fy(i3,j3,k2)+
     &       wt19*fy(i1,j1,k3)+wt20*fy(i2,j1,k3)+wt21*fy(i3,j1,k3)+
     &       wt22*fy(i1,j2,k3)+wt23*fy(i2,j2,k3)+wt24*fy(i3,j2,k3)+
     &       wt25*fy(i1,j3,k3)+wt26*fy(i2,j3,k3)+wt27*fy(i3,j3,k3))
     &       *vfact
      particles(nxpos+6,i)=
     &      (wt1 *fz(i1,j1,k1)+wt2 *fz(i2,j1,k1)+wt3 *fz(i3,j1,k1)+
     &       wt4 *fz(i1,j2,k1)+wt5 *fz(i2,j2,k1)+wt6 *fz(i3,j2,k1)+
     &       wt7 *fz(i1,j3,k1)+wt8 *fz(i2,j3,k1)+wt9 *fz(i3,j3,k1)+
     &       wt10*fz(i1,j1,k2)+wt11*fz(i2,j1,k2)+wt12*fz(i3,j1,k2)+
     &       wt13*fz(i1,j2,k2)+wt14*fz(i2,j2,k2)+wt15*fz(i3,j2,k2)+
     &       wt16*fz(i1,j3,k2)+wt17*fz(i2,j3,k2)+wt18*fz(i3,j3,k2)+
     &       wt19*fz(i1,j1,k3)+wt20*fz(i2,j1,k3)+wt21*fz(i3,j1,k3)+
     &       wt22*fz(i1,j2,k3)+wt23*fz(i2,j2,k3)+wt24*fz(i3,j2,k3)+
     &       wt25*fz(i1,j3,k3)+wt26*fz(i2,j3,k3)+wt27*fz(i3,j3,k3))
     &       *vfact
      enddo
#else
c---  For positions we use the pixel size as the length unit
c      vfact = omei**0.6

c     call findindex(particles,nx,ny,local_nz,nspace,np,myid)
      iindex = 1
      do 20 k=1,local_nz/nspace
      do 20 j=1,ny/nspace
      do 20 i=1,nx/nspace
cccc     iindex = i+nx*(j-1+ny*(k-1))
c--------------------------------------------------------------
c     iindex = i+nx/nspace*(j-1+ny/nspace*(k-1))
      particles(nxpos+1,iindex) = nspace*(i-1.)
      particles(nxpos+2,iindex) = nspace*(j-1.)
      particles(nxpos+3,iindex) = nspace*(k-1.)+local_z_start
      ii = nspace*i-nspace+1
      jj = nspace*j-nspace+1
      kk = nspace*k-nspace+1
      particles(nxpos+4,iindex) = vfact*fx(ii,jj,kk)
      particles(nxpos+5,iindex) = vfact*fy(ii,jj,kk)
      particles(nxpos+6,iindex) = vfact*fz(ii,jj,kk)
c--------------------------------------------------------------
      iindex = iindex + 1
   20 continue
#endif

c---  For (n,size,seed)=(64,64,17), vx(1,1,1)=-0.0051 & vy(1,1,1)=-0.0049

c***  Push : position at a=ai (dx/da is constant from a=0 to ai)
c---  Displacement from ai*dx/da at particle position
c     pfact = rng*ai*omei**(-0.6)
      pfact = rngx*ai/vamp
      delx = 0.D0
      displ = 0
      mdispl = 0.
c--------------------------------------------------------------------
c     print *, 'Warning lattice distribution'
c     print *, 'Warning lattice distribution'
c     print *, 'Warning lattice distribution'
c     print *, 'Warning lattice distribution'
c     goto 4444
c--------------------------------------------------------------------
      do i = 1, np
c        x(i) = amod(x(i)+vx(i)*pfact+rng,rng)
c        y(i) = amod(y(i)+vy(i)*pfact+rng,rng)
c        z(i) = amod(z(i)+vz(i)*pfact+rng,rng)
c        delx = delx+vx(i)**2+vy(i)**2+vz(i)**2
         particles(nxpos+1,i) = 
     &         amod(particles(nxpos+1,i)+
     &         particles(nxpos+4,i)*pfact+rngx,rngx)
         particles(nxpos+2,i) = 
     &         amod(particles(nxpos+2,i)+
     &         particles(nxpos+5,i)*pfact+rngy,rngy)
         particles(nxpos+3,i) = 
     &         amod(particles(nxpos+3,i)+
     &         particles(nxpos+6,i)*pfact+rngz,rngz)
         delx = delx + particles(nxpos+4,i)**2 + 
     &          particles(nxpos+5,i)**2
     &         + particles(nxpos+6,i)**2
         displ = sqrt(particles(nxpos+4,i)**2+particles(nxpos+5,i)**2+
     &                particles(nxpos+6,i)**2)*pfact
         mdispl = amax1(displ,mdispl)
C Initialize mass    
C         particles(1,i) = 1.0/(rng/nspace)**3;
C Work value for domain decomposition
#ifndef VarPM
C  This is for free work
         particles(nxpos+7,i) = 1.0
#endif
C softening length squared
C         particles(nxpos+8,i) = 2.5e-10;

      enddo
4444  continue
      print *,'maximum displacement at initial condition ',mdispl
c--------------------------------------------------------------------
      call MPI_REDUCE(delx,tdelx,1,MPI_DOUBLE_PRECISION,MPI_SUM,0,
     &                MPI_COMM_WORLD,ierror)
      delx = tdelx
      call MPI_BCAST(delx,1,MPI_DOUBLE_PRECISION,0,MPI_COMM_WORLD,
     &          ierror)
      lnp = np
      call MPI_REDUCE(lnp,tlnp,1,MPI_INTEGER8,MPI_SUM,0,
     &                MPI_COMM_WORLD,ierror)
      call MPI_BCAST(tlnp,1,MPI_INTEGER8,0,MPI_COMM_WORLD,ierror)
      if(myid.eq.0)print *, 'P',myid,delx,pfact, tlnp
      if(myid.eq.0)print *,'rms displacement=',dsqrt(delx)*pfact
     &           /sqrt(real(tlnp))

c---- relative displacement
      rdzmean = 0.
      rdzstd = 0.
      rdzmin = 1.e20
      rdzmax = -1.e20
      do i = 1, np-nx*ny
          ntmp = i + nx*ny
          rdz = particles(nxpos+3,ntmp)-particles(nxpos+3,i)-1.
          rdzmin = AMIN1(rdz,rdzmin)
          rdzmax = AMAX1(rdz,rdzmax)
          rdzmean = rdzmean + rdz
          rdzstd = rdzstd + rdz**2
      enddo
      rdzmean = rdzmean /real(np)
      rdzstd = rdzstd /real(np) - rdzmean**2
      rdzstd = sqrt(rdzstd)
      print *,'Relative dz: min=',rdzmin,'max=',rdzmax
      print *,'Relative dz: mean=',rdzmean,'std=',rdzstd
c     if(myid.eq.0)print *,'rms displacement=',dsqrt(delx)*pfact
c    &           /sqrt(real(np*nid))
c    &           /real(nnp)/sqrt(real(nznp))

cccc
c     open(1,file='final.out'//char(48+myid))
c     do i = 1, np
c        write(1,*) x(i),y(i),z(i),vx(i),vy(i),vz(i)
c     enddo
c     close(1)
c***  Energy
      tmpken=0.D0
      do 70 i=1,np
          tmpken=tmpken+ 
     &        (particles(nxpos+4,i)**2.+particles(nxpos+5,i)**2.
     &        +particles(nxpos+6,i)**2.)
70    continue
      call MPI_REDUCE(tmpken,tken,1,MPI_DOUBLE_PRECISION,MPI_SUM,0,
     &                MPI_COMM_WORLD,ierror)
      tmpken = tken
      call MPI_BCAST(tmpken,1,MPI_DOUBLE_PRECISION,0,MPI_COMM_WORLD,
     &                ierror)
      if(myid.eq.0)then
      print *,'sum of dx/da**2=',tmpken
      tmpken=0.5D0*8.D0*pi/3.D0*(1.D0/ai+1.D0/omei-1.)*tmpken
C
C possible error?
C
      ktot = 0.
      poten = 0.
      const = ai**3.*tmpken+poten+ktot
      print *,' poten,ken,const=',poten,tmpken,const
      endif
      ken = tmpken
 
    
      if(myid .eq. 0) 
     &     print *,'Generating Initial Condition ',etime(CPU)-stime
      return
      end

c---  Growth factor in the universe with zero curvature
c---  omep= present matter density parameter
c---  omeplam = 1-omep is assumed (zero curvature inflation model)
c     function growth(a,amax,omep)
c     external coscon
c     common/pass/x

c     x0 = (1./omep-1)**(1./3.)
c     red = amax/a-1
c     x = (1./omep-1)**(1./3.)/(1+red)
c     call qsimp(coscon,0.,1.,gfac)
c     growth = (x/x0)*sqrt(x**3+1)*gfac
c     return
c     end

c     function coscon(y)
c     common/pass/x
c     coscon = 1./(sqrt(1+x**3*y**1.2))**3
c     return
c     end


