#include<stdio.h>
#include<stdlib.h>
#include<stddef.h>
#include<math.h>
#include "pmheader.h"

/* Applicable to sizeof(pmparticletype) < sizeof(basicparticletype) */
int pm2treeparticle(pmparticletype *pmp, long np){
	long i,j,k;
	basicparticletype *bp;
	pmparticletype *pnp;
	bp = (basicparticletype *) (pmp+np);
	pnp = (pmparticletype *) (pmp+np);
	for(i=0;i<np;i++){
		bp->x = pnp->x;
		bp->y = pnp->y;
		bp->z = pnp->z;
		bp->vx = pnp->vx;
		bp->vy = pnp->vy;
		bp->vz = pnp->vz;
		bp--;
		pnp--;
	}
	return 1;
}
/* Only applicable to sizeof(pmparticletype) < sizeof(basicparticletype) */
int tree2pmparticle(basicparticletype *pmp, long np){
	long i,j,k;
	basicparticletype *bp,btmp;
	pmparticletype *pnp;
	bp = (basicparticletype *) pmp;
	pnp = (pmparticletype *) pmp;
	for(i=0;i<np;i++){
		btmp = *bp;
		pnp->x = btmp.x;
		pnp->y = btmp.y;
		pnp->z = btmp.z;
		pnp->vx = btmp.vx;
		pnp->vy = btmp.vy;
		pnp->vz = btmp.vz;
		bp++;
		pnp++;
	}
	return 1;
}
