#include "defs.h"

basicparticletype *plast[NBINS];

BinParticles(NBasicParticles,BasicParticles,
					binsize,corner,nx,ny,nz,BasicParticleBin)
int NBasicParticles;
basicparticletype *BasicParticles;
float binsize;
coordStruct corner;
int nx, ny, nz;
basicparticletype **BasicParticleBin;
{
	/*
	int i, ix, iy, iz;
	int binnum;
	*/
	size_t i, ix, iy, iz;
	size_t binnum;
	basicparticletype *p;

	for(i=0; i<nx*ny*nz; i++) BasicParticleBin[i] = NULL;

	for(p=BasicParticles; p<BasicParticles+(size_t)NBasicParticles; p++) {
/*
		p->nextinbin = NULL;
*/
		p->u.nextinbin = NULL;
		/*
		p->nextindx = -1;
		*/
	}

	for(i=0, p=BasicParticles; p<BasicParticles+(size_t)NBasicParticles; p++, i++) {
		ix = (int) ((p->x - corner.x)/binsize);
		iy = (int) ((p->y - corner.y)/binsize);
		iz = (int) ((p->z - corner.z)/binsize);
		if( ix < 0 || iy < 0 || iz < 0 ) {
				fprintf(stderr,"problem in BinParticles - exiting\n");
				EXIT(0);
		}
		binnum = ix + nx*(iy + ny*iz);
		if( BasicParticleBin[binnum] == NULL ) {
			BasicParticleBin[binnum] = p;
			plast[binnum] = p;
		}
		else {
			plast[binnum]->u.nextinbin = p;
/*
			plast[binnum]->nextinbin = p;
*/
			plast[binnum] = p;
		}
	}
}
